Decodes session data from a session encoded string

- « session_create_id

- session_destroy »

- PHP Manual
- Session Functions
- Decodes session data from a session encoded string

# session_decode

(PHP 4, PHP 5, PHP 7, PHP 8)

session_decode — Decodes session data from a session encoded string

### Description

session_decode(string `$data`): bool

session_decode() decodes the serialized session data provided in `$data`, and populates the $_SESSION superglobal with the result.

By default, the unserialization method used is internal to PHP, and is not the same as unserialize(). The serialization method can be set using session.serialize_handler.

### Parameters

`data`

  The encoded data to be stored.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- session_encode() - Encodes the current session data as a session encoded string
- session.serialize_handler